function checktruename(){
	var truename = getid('truename').value;
	if(!isChinese(truename)){
	   getid('truenametip').innerHTML="<span>对不起，真实姓名必须是中文！</span>";
	}else if(strlen(truename)<4){
	   getid('truenametip').innerHTML='<span>对不起，真实姓名不能少于2个字！</span>';
	}else if(strlen(truename)>10){
	   getid('truenametip').innerHTML='<span>对不起，真实姓名不能多于5个字！</span>';
	}else{
	   getid('truenametip').innerHTML='<span>提示：</span>该姓名为用户提现银行户名。';
	}
}
function checkidcard(){
	var idcard = $("#idcard").val().trim();
	var uid = $("#uid").val();
	if(!checkId(idcard)){
	   getid("idcardtip").innerHTML='<span>对不起，请正确填写身份证信息！</span>';
	}else{
	   var url = ajaxurl('&do=checkidcard&idcard='+encodeURIComponent(idcard)+'&uid='+uid+'&floor='+Math.floor(Math.random()*10000+1));
       $.ajax({url:url,type: 'GET',success: function(msg){
			if(msg.trim()=='ok'){
	           getid("idcardtip").innerHTML='<span>提示：</span>请确保姓名与身份证的一致。';
			}else{
	           getid("idcardtip").innerHTML='<span>对不起，该身份证号码已经存在</span>';
			}	
	   }});
	}
}
function idcardedit(){
	var truename = getid('truename').value;
	var idcard = $("#idcard").val().trim();
	var post = true;
	if(!isChinese(truename)){
	   post = false;
	   getid('truenametip').innerHTML="<span>对不起，真实姓名必须是中文！</span>";
	}else if(strlen(truename)<4){
	   post = false;
	   getid('truenametip').innerHTML='<span>对不起，真实姓名不能少于2个字！</span>';
	}else if(strlen(truename)>10){
	   post = false;
	   getid('truenametip').innerHTML='<span>对不起，真实姓名不能多于5个字！</span>';
	}else{
	   post = true;
	   getid('truenametip').innerHTML='<span>提示：</span>该姓名为用户提现银行户名。';
	}
	
    if(!checkId($("#idcard").val().trim())){
      getid("idcardtip").innerHTML='<span>对不起，请正确填写身份证信息！</span>';
      post = false;
    }else if($("#idcardtip").html().indexOf('对不起，该身份证号码已经存在') != -1){
      getid("idcardtip").innerHTML='<span>对不起，该身份证号码已经存在</span>';
      post = false;
    }else{
      post = true;
      getid("idcardtip").innerHTML='<span>提示：</span>请确保姓名与身份证的一致。';		
    }	
	if(post){
	   document.getElementById('subform').submit();
	}
} 

function checkbankcard(){
	var bankcard = document.getElementById('bankcard').value;
	if(bankcard==''){
	   document.getElementById('bankcardtip').innerHTML='开户地址不能为空';
	}else{
	   document.getElementById('bankcardtip').innerHTML='';
	}
}


function addbank(){
	var bankadd = document.getElementById('bankadd').value;
	var bankname = document.getElementById('bankname').value; 
	var bankcard = document.getElementById('bankcard').value;
	var post = true;
	if(bankadd==''){
	   document.getElementById('bankaddtip').innerHTML='开户地址不能为空';
	   post = false;
	}
	if(bankname==''){
	   document.getElementById('banknametip').innerHTML='请正确选择银行';
	   post = false;
	}
	if(bankcard==''){
	   document.getElementById('bankcardtip').innerHTML='请正确填写银行卡号';
	   post = false;
	}
	if(post){
	   document.getElementById('subform').submit();
	}
} 

